import pyglet, random
pyglet.options['debug_gl'] = False
from pyglet.window import key

class game_Logo(pyglet.sprite.Sprite):
    logo_image = pyglet.resource.image('static/game_logo.gif')

    def __init__(self, batch):
        x = 625
        y = 25
        super(game_Logo, self).__init__(self.logo_image, x, y, batch=batch)
        
class map_Block(pyglet.sprite.Sprite):
    # This is the defauilt image.
    grass = pyglet.resource.image('static/grass_1.gif')
    
    def set_label(self):
        self.label = pyglet.text.Label('my label',
            font_name='Time New Roman',
            font_size=24,
            anchor_x='center', anchor_y='center', batch=self.batch_o)
    
    #default use grass_1
    def __init__(self, batch):
        self.batch_o = batch
        super(map_Block, self).__init__(self.grass, batch=self.batch_o)
        self.set_label()
        
class flyer_s(pyglet.sprite.Sprite):
    flyer_image = pyglet.resource.image('static/H1N1.gif')
    alive = False
    number = -1
    random_x = 0
    random_y = 0
    
    def random_x_y(self):
        self.random_x = random.randint(0, 200)
        self.random_y = random.randint(0, 200)
    
    def set_x_y(self, x, y):
        self.x = x + self.random_x
        self.y = y + self.random_y
    
    def __init__(self):
        super(flyer_s, self).__init__(self.flyer_image)

class commit_buttom(pyglet.sprite.Sprite):
    commit_image = pyglet.resource.image('static/commit_buttom.gif')

    def __init__(self):
        x = 625
        y = 180
        super(commit_buttom, self).__init__(self.commit_image, x, y)

class regen_buttom(pyglet.sprite.Sprite):
    regen_image = pyglet.resource.image('static/re-gen_buttom.gif')

    def __init__(self):
        x = 740
        y = 335
        super(regen_buttom, self).__init__(self.regen_image, x, y)
        
class clear_buttom(pyglet.sprite.Sprite):
    clear_image = pyglet.resource.image('static/clear_buttom.gif')

    def __init__(self):
        x = 690
        y = 180
        super(clear_buttom, self).__init__(self.clear_image, x, y)

class empty_buttom(pyglet.sprite.Sprite):
    empty_image = pyglet.resource.image('static/empty_buttom.gif')

    def __init__(self):
        x = 740
        y = 180
        super(empty_buttom, self).__init__(self.empty_image, x, y)

class select_buttom(pyglet.sprite.Sprite):
    selected_image = pyglet.resource.image('static/selecteder.gif')
    select_image = pyglet.resource.image('static/selecter.gif')
    
    def set_image(self, select=0):
        if select:
            self.image = self.selected_image
        else:
            self.image = self.select_image
    
    def __init__(self):
        x = 450
        y = 75
        super(select_buttom, self).__init__(self.select_image, x, y)